﻿@page "/details/{id:guid}"
@using Ares.Web.App.Wrappers
@using Ares.Web.Api.Models
@inject IHttpClient Client;


<h1>Detailansicht</h1>

<table>
    <tr>
        <td>Abholtermin</td>
        <td>
            @thisAppointment.Appointment.Date
        </td>
    </tr>

    <tr>
        <td>Schaden</td>
        <td>
            @thisAppointment.Damage.DamageDescription
        </td>
    </tr>
    <tr>
        <td>Das AutoKennzeichen</td>
        <td>
            @thisAppointment.Car.KFZ
        </td>
    </tr>
    <tr>
        <td>AutoInhaber_in</td>
    </tr>
    <tr>
        <td>Vorname</td>
        <td>@thisAppointment.CarOwner.Firstname </td>
    </tr>
    <tr>
        <td>Nachname</td>
        <td>@thisAppointment.CarOwner.Lastname </td>
    </tr>
    <tr>
        <td>Straße</td>
        <td>@thisAppointment.CarOwner.Street </td>
    </tr>
    <tr>
        <td>Hausnummer</td>
        <td>@thisAppointment.CarOwner.Number </td>
    </tr>
    <tr>
        <td>PLZ</td>
        <td>@thisAppointment.CarOwner.ZIP </td>
    </tr>
    <tr>
        <td>Ort</td>
        <td> @thisAppointment.CarOwner.City </td>
    </tr>
    <tr>
        <td>Telefonnummer</td>
        <td>@thisAppointment.CarOwner.PhoneNumber </td>
    </tr>

</table>

<a href="/">
    <button>Zurück</button>
</a>


@code {
    AppointmentModel thisAppointment = new AppointmentModel();

    [Parameter]
    public Guid id { get; set; }

    /// <summary>
    /// Method invoked when the component is ready to start, having received its
    /// initial parameters from its parent in the render tree.
    /// Override this method if you will perform an asynchronous operation and
    /// want the component to refresh when that operation is completed.
    /// </summary>
    /// <returns>A <see cref="T:System.Threading.Tasks.Task"/> representing any asynchronous operation.</returns>
    protected override async Task OnInitializedAsync()
    {
        string path = $"api/appointments/details/{id}";
        thisAppointment = await Client.GetJsonAsync<AppointmentModel>(path);
    }

}